Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 492019 - Review Request: cfourcc - Change the FOURCC of an MPEG4 or DivX video.
Summary: Review Request: cfourcc - Change the FOURCC of an MPEG4 or DivX video.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-03-24 23:49 UTC by Yannik Stadelmaier
Modified: 2009-09-27 19:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-27 19:33:58 UTC


Attachments (Terms of Use)
patch to fix b) from comment #2 (deleted)
2009-03-26 04:15 UTC, Ralf Corsepius
no flags Details | Diff
cfourcc.spec Version 2 (deleted)
2009-03-26 08:41 UTC, Yannik Stadelmaier
no flags Details

Description Yannik Stadelmaier 2009-03-24 23:49:18 UTC
Spec URL: http://freeki.de/fedora/cfourcc.spec
SRPM URL: http://freeki.de/fedora/cfourcc-0.1.2-1.fc10.src.rpm
Description: With cfourcc you could change the FOURCC of an MPEG4 or DIVX video on the command line.

The Problem with this programm is, that it only uses make install (wich includes the build-process) instead of make && make install.

Comment 1 Tim Lauridsen 2009-03-25 12:18:35 UTC
i think you shall use 'GPVv2+' as license based on the the header in the source file.

<snip>
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
</snip>

Comment 2 Ralf Corsepius 2009-03-26 04:13:20 UTC
(In reply to comment #0)
Amazing, how broken even trivial Makefiles can be ;)

MUSTFIX:
a) Compilation doesn't acknowledge RPM_OPT_FLAGS.
Normally, this can be achieved by overriding the Makefile's CFLAGS:
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"

However, provided the brokenness of the Makefile, and the simplicity of this package (one single c-file), I am inclined to recommend not to use the Makefile at all, but to compile the file directly:
%{__cc} $RPM_OPT_FLAGS -o cfourcc cfourcc.c


b) When having changed compilation to using $RPM_OPT_FLAGS, the compiling the package trips over bugs inside of the sources.

This breakdown needs patching.


c) rpmlint complains:
cfourcc.x86_64: W: summary-ended-with-dot Change the FOURCC of an MPEG4 or DivX video.
cfourcc.x86_64: E: description-line-too-long With cfourcc you could change the FOURCC of an MPEG4 or DIVX video on the command line.

Comment 3 Ralf Corsepius 2009-03-26 04:15:05 UTC
Created attachment 336750 [details]
patch to fix b) from comment #2

Comment 4 Yannik Stadelmaier 2009-03-26 08:41:24 UTC
Created attachment 336761 [details]
cfourcc.spec Version 2

Here is the new cfourcc.spec

I changed the description (just added a line break) and included the patch.

Here you can find the new srpm:
http://freeki.de/fedora/cfourcc-0.1.2-2.fc10.src.rpm

Comment 5 Simon 2009-09-11 05:41:45 UTC
afairr, yanstadel isn't active in the fedoraproject


Note You need to log in before you can comment on or make changes to this bug.